1.1

1.1

get /v1/public-domain-names

Description

List all Public Domains

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}